import json
from flask import Flask, jsonify
import sys
sys.path.append('..')  # Add root directory to the system path
from data_structs import DataPoint

app = Flask(__name__)

def process_data_point(data_point: DataPoint):
    try:
        # Create a temporary application context
        with app.app_context():
            # Convert DataPoint instance to JSON string
            json_data = json.dumps(data_point.__dict__)

            # Write JSON object to response object
            response = jsonify(json_data)

        return response, 200
    except Exception as e:
        print(f"Error in converting point data to JSON: {e}")

        return jsonify({"error": "Internal Server Error"}), 500

if __name__ == "__main__":
    app.run(debug=True)
